<!DOCTYPE html>
<!--[if IE 8]>
<html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
    <meta name="description" content="<?php bloginfo('description'); ?>">

    <!-- Mobile Specific Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <?php if (is_rtl()) : ?>
        <link href="https://fonts.googleapis.com/css?family=Tajawal&display=swap" rel="stylesheet">
    <?php endif; ?>
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->


    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<header class="dark-bg">
    <div class="top-nav ">
        <div class="container">

            <div class="top-nav-wrapper">
                <div class="row">
                    <div class="col-md-6">
                        <ul class="list-inline social">
                            <li class="list-inline-item lang_switcher"><?php do_action('wpml_add_language_selector'); ?></li>
                            <?php if (get_field('facebook', 'options')) : ?>
                                <li class="list-inline-item"><a href="
    <?php the_field('facebook', 'options'); ?>"><i class="fa fa-facebook"></i></a></li>
                            <?php endif; ?>
                            <?php if (get_field('twitter', 'options')) : ?>
                                <li class="list-inline-item"><a href="
    <?php the_field('twitter', 'options'); ?>"><i class="fa fa-twitter"></i></a></li>
                            <?php endif; ?>
                            <?php if (get_field('youtube', 'options')) : ?>
                                <li class="list-inline-item"><a href="
    <?php the_field('youtube', 'options'); ?>"><i class="fa fa-youtube"></i></a></li>
                            <?php endif; ?>
                            <?php if (get_field('instagram', 'options')) : ?>
                                <li class="list-inline-item"><a href="
    <?php the_field('instagram', 'options'); ?>"><i class="fa fa-instagram"></i></a></li>
                            <?php endif; ?>


                        </ul>
                    </div>
                    <div class="col-md-6 justify-content-end d-md-flex align-self-center">
                        <?php if (get_field('phone', 'options')) : ?>
                            <span class="reserve-btn">  <a
                                        href="tel:<?php the_field('phone', 'options') ?>"><?php _e('Reservation :', 'alpha') ?> <i
                                            class="fa fa-phone"></i> <?php the_field('phone', 'options') ?></a> </span>
                        <?php endif ?>
                        <span>
                            <?php if (!is_rtl()) : ?>
                            <a href="<?php echo site_url() ?>/reservation">
                                <?php else: ?>
                            <a href="<?php echo site_url() ?>/ar/الحجز/">
                                <?php endif ?>
                            <i class="fa fa-calendar"></i> <?php _e('Book Now', 'alpha') ?></a></span>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <div class="menu-logo ">
        <div class="container">
            <div class="menu-wrapper py-3">
                <div class="row">
                    <div class="col-lg-2  d-flex align-self-center justify-content-center justify-content-lg-start ">
                        <div class="logo">
                            <a href="<?php echo home_url() ?>"><img src="<?php the_field('logo', 'options'); ?>"
                                                                    alt="<?php bloginfo('name'); ?>" class="img-fluid "></a>
                        </div>
                    </div>

                    <div class="col-lg-6  d-md-flex align-self-center  ">
                        <?php
                        wp_nav_menu(array(
                                'theme_location' => 'main-menu',
                            )
                        );
                        ?>

                    </div>
                    <div class="col-lg-4 justify-content-between d-md-flex align-items-center ">
                        <form method="get" action="<?php echo esc_url(home_url()); ?>">

                            <div class="search-wrapper">
                                <input type="search" name="s" id="s" value="<?php the_search_query(); ?>"
                                       placeholder="<?php _e('Search here', 'alpha') ?>" class="form-control"
                                       aria-label="search">
                                <button class="btn btn-red" type="submit"><i class="fa fa-search"></i></button>
                            </div>
                        </form>
                        <div class="cart-top-link xoo-wsc-basket">
                                <span class="header-cart "><i
                                            class="fa fa-shopping-cart"></i> <?php echo sprintf(_n('%d products', '%d products', WC()->cart->get_cart_contents_count()), WC()->cart->get_cart_contents_count()); ?> - <?php echo WC()->cart->get_cart_total(); ?></span>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
    <?php if (is_home()) : ?>
        <?php $slider = new WP_Query(array('post_type' => 'slider', 'posts_per_page' => 5));
        if ($slider->have_posts()) :?>
            <div class="container">
                <div class="main-slider py-5">
                    <?php while ($slider->have_posts()) : $slider->the_post(); ?>
                        <div class="single-main-slider ">
                            <div class="row">
                                <div class="col-md-6 d-flex">
                                    <div class="d-flex  align-content-center flex-wrap">
                                        <div class="title mb-3" data-animation="fadeInDown"
                                             data-delay="0.5s"><?php the_title() ?></div>
                                        <p class="text-white fz24 mb-3" data-animation="fadeInUp"
                                           data-delay="0.5s"><?php echo wp_trim_words(get_the_excerpt(), 15, '') ?></p>
                                        <a href="" class=" btn btn-red " data-animation="fadeInUp"
                                           data-delay="0.5s"><?php _e('Check Our Menu', 'alpha') ?></a>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="slide-img" data-animation="fadeIn">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'large'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                        <img src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="<?php the_title() ?>"
                                             class="img-fluid">
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>

            </div>
        <?php endif ?>
    <?php endif; ?>
</header>


<!--<div style="display: none;" id="animatedModal" class="animated-modal text-center p-5">-->
<!--    <div class="section-title">--><?php //_e('Book Table','alpha')?><!--</div>-->
<!--   --><?php //echo do_shortcode('[contact-form-7 id="119" title="Book"]') ?>
<!--</div>-->



