<?php get_header(); ?>


<div class="home-content-bg">
    <?php if (have_rows('features', 'options')) : ?>
        <section class="why-us blog-theme ">
            <div class="container">
                <div class="bg-white p-5">
                    <div class="row">
                        <?php while (have_rows('features', 'options'))  : the_row() ?>
                            <div class="col-lg-4 col-md-6">
                                <div class="single-item">
                                    <div class="item-img">
                                        <img src="<?php the_sub_field('feature_img'); ?>"
                                             alt="<?php the_sub_field('feature_title'); ?>" class="img-fluid">
                                    </div>
                                    <div class="item-info">
                                        <h3 class="item-title"><?php the_sub_field('feature_title'); ?></h3>
                                        <p><?php the_sub_field('feature_description'); ?></p>
                                    </div>

                                </div>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        </section>
    <?php endif; ?>
    <?php if (have_rows('gallery_loop', 'options')) : ?>
        <section class="gallery-home opacity-bg py-4">
            <div class="container">
                <div class="text-center ">
                    <div class="section-title text-white"><?php the_field('gallery_section_title', 'options') ?></div>
                    <div class="section-description text-white"><?php the_field('gallery_section_description', 'options') ?></div>
                </div>
                <div class="text-center">
                    <ul class="nav nav-tabs " id="myTab" role="tablist">
                        <?php $i = 0;
                        while (have_rows('gallery_loop', 'options')) : the_row();
                            $i++ ?>
                            <li class="nav-item">
                                <a class="nav-link" id="home-tab" data-toggle="tab"
                                   href="#Gallery<?php echo $i ?>" role="tab"
                                   aria-controls="Gallery<?php echo $i ?>"
                                   aria-selected="true">
                            <span class="icon">
                                <?php $icon = get_sub_field('gallery_icon'); ?>
                                <img src="<?php echo $icon['sizes']['thumbnail'] ?>"
                                     alt=" <?php the_sub_field('gallery_title'); ?>">
                            </span>
                                    <?php the_sub_field('gallery_title'); ?></a>
                            </li>
                        <?php endwhile; ?>

                    </ul>
                </div>
                <div class="tab-content" id="myTabContent">
                    <?php $x = 0;
                    while (have_rows('gallery_loop', 'options')) : the_row();
                        $x++ ?>
                        <div class="tab-pane fade " id="Gallery<?php echo $x ?>" role="tabpanel"
                             aria-labelledby="Gallery<?php echo $x ?>-tab">
                            <div class="slider-4-items">
                                <?php $gallery = get_sub_field('gallery');
                                foreach ($gallery as $img) :?>
                                    <a href="<?php echo $img['url'] ?>" data-fancybox="gallery"><img
                                                src="<?php echo $img['sizes']['medium'] ?>"
                                                alt="<?php echo $img['alt'] ?>"></a>
                                <?php endforeach; ?>

                            </div>

                        </div>
                    <?php endwhile; ?>

                </div>
            </div>
        </section>
    <?php endif; ?>
    <section class="recommended-items why-us">
        <div class="container">
            <div class="bg-white p-5">
                <div class="text-center mb-4">
                    <div class="section-title "><?php the_field('recommended_title', 'options') ?></div>
                    <div class="section-description "><?php the_field('recommended_description', 'options') ?></div>
                </div>

                <div class="slider-4-items">
                    <?php
                    $productSection = get_field('recommended_section', 'options');
                    $products = new WP_Query(array(
                        'post_type' => 'product',
                        'posts_per_page' => get_field('recommended_posts_to_show', 'options'),
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'product_cat',
                                'field' => 'term_id',
                                'terms' => $productSection,
                            )
                        )
                    )); ?>
                    <?php while ($products->have_posts()) : $products->the_post();
                        global $product; ?>
                        <div class="single-item single-item-with-price">
                            <div class="item-img">
                                <a href="<?php the_permalink(); ?>">
                                    <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                    <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                    <img src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="<?php the_title() ?>"
                                         class="img-fluid">
                                </a>
                                <div class="item-price"><?php echo $product->get_price_html() ?></div>
                            </div>
                            <div class="item-info">
                                <h3 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
                                <p></p>
                            </div>

                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>
            </div>
        </div>
    </section>
    <?php if (have_rows('testimonials', 'options')) : ?>
        <section class="testimonials opacity-bg py-5">
            <div class="container">
                <div class="text-center mb-4">
                    <div class="section-title text-white"><?php the_field('testimonials_title', 'options') ?></div>
                </div>
                <div class="one-item-slider text-center">
                    <?php while (have_rows('testimonials', 'options')) : the_row() ?>
                        <div class="single-testimonial">
                            <p><?php the_sub_field('testimonials_text'); ?></p>
                            <div class="name"><?php the_sub_field('testimonials_name'); ?></div>
                        </div>
                    <?php endwhile; ?>
                </div>
            </div>
        </section>
    <?php endif; ?>
    <section class="latest-news">
        <div class="container">
            <div class="bg-white p-5 box-shadow">
                <div class="text-center mb-4">
                    <div class="section-title"><?php the_field('blog_title','options')?></div>
                    <div class="section-description"><?php the_field('blog_description','options')?></div>
                </div>
                <div class="slider-3-items">
                   <?php  $blog = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => get_field('blog_to_show', 'options')

                    )); ?>
                    <?php while ($blog->have_posts()) : $blog->the_post();?>
                    <div class="single-item">
                        <div class="item-img">
                            <a href="<?php the_permalink(); ?>">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <img src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="<?php the_title() ?>"
                                     class="img-fluid">
                             </a>
                        </div>
                        <div class="item-info">
                            <div class="post-date"><i class="fa fa-calendar"></i> <?php echo get_the_date($post->id) ?></div>
                            <h3 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
                            <p><?php echo wp_trim_words(get_the_excerpt(),20,'..') ?></p>
                        </div>

                    </div>
                    <?php endwhile;wp_reset_query(); ?>


                </div>
            </div>
        </div>
    </section>
</div>


<?php get_footer(); ?>
