<?php
/* Template Name: Blog */
get_header();
wp_reset_query(); ?>
<?php require_once('breadcrumbs.php') ?>

<?php
global $paged;
if (get_query_var('paged')) {
    $my_page = get_query_var('paged');
} else {
    if (get_query_var('page')) {
        $my_page = get_query_var('page');
    } else {
        $my_page = 1;
    }
    set_query_var('paged', $my_page);
    $paged = $my_page;
};

$blog = new WP_Query(array(
    'post_type' => 'post',
    'posts_per_page' => 12,
    'paged' => $my_page

)); ?>
<section class="blog py-5">
    <div class="container">
        <div class="section-title mb-3"><?php the_title() ?></div>
        <div class="row">
            <?php while ($blog->have_posts()) : $blog->the_post(); ?>
                <div class="col-md-4">
                    <div class="single-blog-post">
                        <div class="post-img">
                            <a href="<?php the_permalink(); ?>">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <img src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="" class="img-fluid">
                            </a>
                        </div>
                        <div class="title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></div>
                        <p><?php echo wp_trim_words(get_the_excerpt(), 25, '..') ?></p>

                    </div>
                </div>
            <?php endwhile;
            wp_reset_query(); ?>
        </div>
        <nav aria-label="Page navigation example">
            <?php wp_pagenavi(array('query' => $blog)); ?>

        </nav>
    </div>
</section>

<?php get_footer(); ?>
