<?php
/* Template Name: Menu */
get_header();
wp_reset_query(); ?>


<div class="page-head dark-bg">
    <div class="container">
        <div class=" py-5">
            <div class="single-main-slider text-center ">

                <div class="title mb-3" data-animation="fadeInDown" data-delay="0.5s"><?php the_title() ?></div>
                <div class="text-white fz24 mb-3 w-50 m-auto" data-animation="fadeInUp" data-delay="0.5s">
                    <?php the_excerpt(); ?>
                </div>

                <div class="menu-categories" id="ScrollSticky">
                    <ul class="list-inline box-shadow">
                        <?php
                        $terms = get_terms(array(
                            'taxonomy' => 'product_cat',
                            'hide_empty' => false,
                            'exclude' => 15
                        )); ?>

                        <?php $i = 0;
                        foreach ($terms as $term) : $i++ ?>
                            <li class="list-inline-item"><a href="#page<?php echo $i ?>"><?php echo $term->name ?></a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            </div>


        </div>

    </div>
</div>
<?php
$terms = get_terms(array(
    'taxonomy' => 'product_cat',
    'hide_empty' => false,
    'exclude' => 15
)); ?>

<?php $x = 0;
foreach ($terms as $term) : $x++;
    $thumbnail_id = get_term_meta($term->term_id, 'thumbnail_id', true);
    $image = wp_get_attachment_url($thumbnail_id);
    ?>

    <section id="page<?php echo $x ?>" class="single-menu-wrapper"
             style="background-image: url('<?php echo $image; ?>');">
        <div class="container">
            <div class="col-md-6 offset-md-3">
                <div class="the-menu bg-white p-4">
                    <div class="text-center mb-4">
                        <div class="menu-title fz32"><?php echo $term->name ?></div>
                    </div>
                    <div class="vertical-slider">
                        <?php
                        $products = new WP_Query(array(
                            'post_type' => 'product',
                            'posts_per_page' => 6,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'product_cat',
                                    'field' => 'term_id',
                                    'terms' => $term->term_id,
                                )
                            )
                        )); ?>
                        <?php while ($products->have_posts()) : $products->the_post();
                            global $product; ?>
                            <div class="single-menu-item d-flex justify-content-between">

                                    <div class="item-info">
                                        <a href="<?php the_permalink(); ?>"> <div class="item-name"><?php the_title() ?></div> </a>
                                        <div class="item-description"><?php echo wp_trim_words(get_the_excerpt()) ?></div>
                                    </div>
                                    <div class="item-price d-flex  ">
                                        <?php echo $product->get_price_html() ?>
                                    </div>


                            </div>
                        <?php endwhile;
                        wp_reset_query(); ?>
                    </div>

                </div>
            </div>
        </div>
    </section>
<?php endforeach; ?>

<?php get_footer(); ?>



